
Robotics Service Bus - Tasks #342
Create Factory comparable to c++ to simplify creation of participants
05/31/2011 01:30 PM - J. Wienke

Status: Resolved Start date: 05/31/2011
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Python Estimated time: 3.00 hours
Target version: 0.3
Description

Associated revisions
Revision f6c7a331 - 06/01/2011 12:56 PM - J. Moringen
Added interface for participant creation in rsb/__init__.py
refs #342
    -  rsb/__init__.py: added createListener, createInformer, etc. functions

  to provide a factory-like simplified interface for participant
  creation

Revision bac5eb46 - 06/07/2011 03:42 PM - J. Moringen
Added minimalistic test for factory in test/coretest.py
fixes #342
    -  test/coretest.py: added test for factory that pokes the default

  config; creates a listener and an informer

History
#1 - 06/01/2011 11:43 AM - J. Moringen
- Assignee changed from J. Wienke to J. Moringen

#2 - 06/05/2011 12:49 PM - J. Moringen
- Status changed from New to In Progress
- % Done changed from 0 to 50

#3 - 06/07/2011 03:49 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 50 to 100

Applied in changeset r1429.
